| Home | Libraries | People | FAQ | More

##### connection_pool::operator=

Move assignment.

###### Synopsis

    connection_pool&
    operator=(
        connection_pool&& other);

###### Description

Assigns `other` to `*this`, transferring ownership.

After this function returns, if `other.valid() == true`, `this->valid() == true`. In any case, `other` will become invalid (`other.valid() == false`).

Moving a connection pool with outstanding async operations is safe.

###### Exception safety

No-throw guarantee.

###### Thread-safety

Mutates `*this` and `other`'s internal state handle. Does not access the pool state. This function can never be called concurrently with other functions that read the internal state handle, even for pools created with `pool_params::thread_safe` set to true.

The internal pool state is not accessed, so this function can be called concurrently with functions that only access the pool's internal state, like returning connections.